Skip to main content

Get Order Total Detail

Get the trader's overall trading statistics and performance metrics.

HTTP Request

GET /api/v1/copy/mix-trader/order-total-detail

Request Parameters

This endpoint does not require any parameters.

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/copy/mix-trader/order-total-detail" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data
> roistringReturn on investment percentage
> tradingOrderNumstringTotal number of trading orders
> totalFollowerNumstringTotal number of followers (all time)
> currentFollowerNumstringCurrent number of followers
> totalplstringTotal profit/loss amount
> gainNumstringNumber of profitable trades
> lossNumstringNumber of losing trades
> winRatestringWin rate percentage
> tradingPairsAvailableListarrayList of available trading pairs
> lastWeekRoiListarrayROI data for last week
>> ratestringROI rate
>> ctimestringTimestamp
> lastWeekProfitListarrayProfit data for last week
>> amountstringProfit amount
>> ctimestringTimestamp
> lastMonthRoiListarrayROI data for last month
>> ratestringROI rate
>> ctimestringTimestamp
> lastMonthProfitListarrayProfit data for last month
>> amountstringProfit amount
>> ctimestringTimestamp
> totalEquitystringTotal equity

Response Example

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"roi": "15.50",
"tradingOrderNum": "150",
"totalFollowerNum": "25",
"currentFollowerNum": "18",
"totalpl": "$5000.00",
"gainNum": "100",
"lossNum": "50",
"winRate": "66.667",
"tradingPairsAvailableList": ["BTCUSDT", "ETHUSDT"],
"lastWeekRoiList": [
{
"rate": "2.500000",
"ctime": "1763372880000"
}
],
"lastWeekProfitList": [
{
"amount": "100.00",
"ctime": "1763372880000"
}
],
"lastMonthRoiList": [
{
"rate": "15.500000",
"ctime": "1763372880000"
}
],
"lastMonthProfitList": [
{
"amount": "5000.00",
"ctime": "1763372880000"
}
],
"totalEquity": "10000.00"
}
}

Error Codes

CodeMessage
45002User not found
45003Not a copy trader
50000System error